commit 0f13f0c8b19572a0f4fb454f15df5445a2bba454
Author: jklowden <jklowden>
Date:   Mon Jan 11 14:03:17 2010 +0000

    strcasecmp macro

diff --git a/ChangeLog b/ChangeLog
index f1dd751..8634cba 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Mon Jan 11 09:00:59 EST 2010	JK Lowden <jklowden@freetds.org>
+	* include/replacements.h strcasecmp macro
+	* src/apps/defncopy.c unrevert to 1.17 again
+	* src/tds/log.c define pthread_self() as zero for win32
+
 Mon Jan 11 08:39:49 EST 2010	JK Lowden <jklowden@freetds.org>
 	* src/apps/defncopy.c revert to previous version
 
@@ -2096,4 +2101,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2932 2010/01/11 13:42:22 jklowden Exp $
+$Id: ChangeLog,v 1.2933 2010/01/11 14:03:17 jklowden Exp $
diff --git a/include/replacements.h b/include/replacements.h
index ebdd02b..a24bb0b 100644
--- a/include/replacements.h
+++ b/include/replacements.h
@@ -20,7 +20,7 @@
 #ifndef _replacements_h_
 #define _replacements_h_
 
-/* $Id: replacements.h,v 1.23 2010/01/10 14:43:11 freddy77 Exp $ */
+/* $Id: replacements.h,v 1.24 2010/01/11 14:03:17 jklowden Exp $ */
 
 #include <stdarg.h>
 #include "tds_sysdep_public.h"
@@ -97,6 +97,9 @@ char *tds_basename(char *path);
 #endif
 
 #if defined(_WIN32)
+# if !defined(strcasecmp) 
+#     define  strcasecmp(A, B) stricmp((A), (B))
+# endif
 # if !defined(strncasecmp) 
 #     define  strncasecmp(x,y,z) strnicmp((x),(y),(z))
 # endif

